<section class="page-wrap">
  <div class="container">
    <ng-container *ngIf="form; else preloader">
      <h1 class="page-title">{{ quiz.name }}</h1>
      <p class="subtitle">{{ quiz.authorName }}</p>
      <div class="quiz-group">
        <app-quiz-item
          *ngFor="
            let question of getVariants(form.get(quizForm.QUESTIONS));
            let index = index
          "
          [isCompleted]="isCompleted"
          [index]="index"
          [question]="question"
          role="article"
        ></app-quiz-item>
        <button
          *ngIf="!isCompleted"
          (click)="complete()"
          class="btn btn_default"
          type="button"
        >
          Finish
        </button>
        <button
          *ngIf="isCompleted"
          (click)="reset()"
          class="btn btn_default"
          type="button"
        >
          Try again
        </button>
      </div>
    </ng-container>
    <ng-template #preloader>sdasd</ng-template>
  </div>
</section>
